package com.unis.detectionnum.server.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.unis.detectionnum.common.vo.ForwardMainVO;
import com.unis.detectionnum.server.entity.TcForwardMainDO;

@Repository
public interface TcForwardMainDao {
    int deleteByPrimaryKey(String forwardNo);

    int insert(TcForwardMainDO record);

    int insertSelective(TcForwardMainDO record);

    TcForwardMainDO selectByPrimaryKey(String forwardNo);

    int updateByPrimaryKeySelective(TcForwardMainDO record);

    int updateByPrimaryKey(TcForwardMainDO record);

	/** 
	 * @Title: selectFofwardList 
	 * @Description: 根据条件查找
	 * @param forwardMainVO
	 * @return List<TcForwardMainDO>
	 * @throws 
	 */
	List<TcForwardMainDO> selectFofwardList(ForwardMainVO forwardMainVO);
}